## gsttunerchannel

gsttunerchannel

## Synopsis

    #include <gst/interfaces/tuner.h>

                        GstTunerChannel;
    enum                GstTunerChannelFlags;
    #define             GST_TUNER_CHANNEL_HAS_FLAG          (channel, flag)

## Object Hierarchy

      GObject
       +----GstTunerChannel

## Signals

      "frequency-changed"                              : Run Last
      "signal-changed"                                 : Run Last

## Description

## Details

### GstTunerChannel

    typedef struct _GstTunerChannel GstTunerChannel;

### enum GstTunerChannelFlags

    typedef enum {
      GST_TUNER_CHANNEL_INPUT     = (1<<0),
      GST_TUNER_CHANNEL_OUTPUT    = (1<<1),
      GST_TUNER_CHANNEL_FREQUENCY = (1<<2),
      GST_TUNER_CHANNEL_AUDIO     = (1<<3)
    } GstTunerChannelFlags;

### GST_TUNER_CHANNEL_HAS_FLAG()

    #define             GST_TUNER_CHANNEL_HAS_FLAG(channel, flag)

`channel` : |
`flag` : |

## Signal Details

### The "frequency-changed" signal

    void                user_function                      (GstTunerChannel *gsttunerchannel,
                                                            gulong           arg1,
                                                            gpointer         user_data)            : Run Last

`gsttunerchannel` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The "signal-changed" signal

    void                user_function                      (GstTunerChannel *gsttunerchannel,
                                                            gint             arg1,
                                                            gpointer         user_data)            : Run Last

`gsttunerchannel` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.